### Constructor

# Msg MailMessage new_from_json

#### Declaration [src]

    MsgMailMessage*
    msg_mail_message_new_from_json (
      JsonObject* json_object,
      GError** error
    )

#### Description [src]

Creates a new `MsgMailMessage` from json response object.

#### Parameters

`json_object`

  Type: `JsonObject`

  The json object to parse.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `MsgMailMessage`

The newly created `MsgMailMessage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.